using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace ChartLoadingClick
{
    public partial class MyChart : UserControl
    {
        public MyChart()
        {
            InitializeComponent();
            InitializeChartData();
        }

        /// <summary>
        /// Initializes the ChartControl's data and sets the Chart type
        /// </summary>
        protected void InitializeChartData()
        {
            this.chartControl1.Series.Clear();
            ChartSeries series = this.chartControl1.Model.NewSeries("Series 1");

            for (int i = 0; i < 1000; i++)
            {
                series.Points.Add(i, new double[] { i * 1.12 });
            }

            series.Type = ChartSeriesType.Column;
            series.Text = series.Name;
            this.chartControl1.Series.Add(series);
        }

        private void chartControl1_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            Control ctrl = this.Parent;
            ctrl.Controls.Clear();
            MyChart c1 = new MyChart();
            ctrl.Controls.Add(c1);
            c1.Dock = DockStyle.Fill;
        }
    }
}
